# Utiliser une image de base PHP
FROM php:8.1-fpm

# Installer les dépendances nécessaires
RUN apt-get update && apt-get install -y \
    libfreetype6-dev \
    libjpeg62-turbo-dev \
    libpng-dev \ 
    libonig-dev \
    libxml2-dev \
    zip \
    unzip \
    git \
    npm \
    && docker-php-ext-install pdo_mysql mbstring exif pcntl bcmath gd

# Installer Composer
COPY --from=composer:latest /usr/bin/composer /usr/local/bin/composer

WORKDIR /var/www

# Dépôt front
#RUN git clone https://<your-git-credentials>@github.com/NKAP-Group/fonakeukeu-web-app.git .
RUN git clone https://github.com/NKAP-Group/fonakeukeu-web-app.git .


# Copier les fichiers du projet
COPY . .

# Installer les dépendances PHP
RUN composer install

# Mettre à jour la base de données
#RUN php bin/console d:s:u --force

# Installer les dépendances npm et construire les assets
RUN npm install && npm run build

# Exposer le port
EXPOSE 9000

# Démarrer PHP-FPM | CMD ["npm", "start"]
CMD ["php-fpm"]
